- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
RangeIdMap< GR, K >::InverseMap Class Reference

## Detailed Description

### template<typename GR, typename K>
class lemon::RangeIdMap< GR, K >::InverseMap

The inverse map type of RangeIdMap. The subscript operator gives back an item by its range id. This type conforms to the ReadMap concept.

`#include <lemon/maps.h>`

## Public Types
typedef RangeIdMap::Key | Value
| The value type of the InverseMap.
typedef RangeIdMap::Value | Key
| The key type of the InverseMap.

## Public Member Functions
| InverseMap (const RangeIdMap &inverted)
| Constructor. More...
Value | operator[] (const Key &key) const
| Subscript operator. More...
unsigned int | size () const
| Size of the map. More...

## Constructor & Destructor Documentation

InverseMap | ( | const RangeIdMap & | inverted | ) |
| inline explicit

Constructor of the InverseMap.

## Member Function Documentation

Value operator[] | ( | const Key & | key | ) | const
| inline

Subscript operator. It gives back the item that the given range id currently belongs to.

unsigned int size | ( |  | ) | const
| inline

Returns the size of the map.